crash.d(1m)

NAME
crash.d - Crashed Application info. Uses DTrace.

SYNOPSIS
crash.d

DESCRIPTION
crash.d monitors for applications that crash. When a crash via a SIGSEGV or SIGBUS is detected, a report of the process state is printed out. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

FIELDS

Type
    signal type

Program
    execname of process

Args
    argument listing of process

PID process ID

TID thread ID

LWPs
    number of Light Weight Processes

PPID
    parent process ID

UID user ID

TaskID
    task ID

ProjID
    project ID

PoolID
    pool ID

ZoneID
    zone ID

zone
    zone name

CWD current working directory

errno
    error number of last syscall

EXAMPLES

Monitor for crashing applications.
    # crash.d

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
crash.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M)